NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::FemPart Class Reference

Represents an NX part of type .fem. More...

Inheritance diagram for NXOpen::CAE::FemPart:
NXOpen::CAE::BaseFemPart NXOpen::CAE::CaePart NXOpen::BasePart NXOpen::NXObject NXOpen::TaggedObject NXOpen::INXObject

Public Types

enum  UseBodiesOption { UseBodiesOptionSelectedBodies, UseBodiesOptionVisibleBodies, UseBodiesOptionAllBodies }
 Used to specify the option of specifying bodies to use from the CAD Part while creating the CAE::FemPart object. More...
 
- Public Types inherited from NXOpen::CAE::BaseFemPart
enum  AxisymAbstractionType { AxisymAbstractionTypeNone, AxisymAbstractionTypeZxPlane, AxisymAbstractionTypeXyPlane, AxisymAbstractionTypeXxyPlane }
 Used to specify the axisymmetric abstraction type during Fempart creation . More...
 
- Public Types inherited from NXOpen::CAE::CaePart
enum  FieldApplicationType { FieldApplicationTypeSignalProcessing }
 Enumeration which is used to specify the type of field application to retrieve in the GetApplication method. More...
 
- Public Types inherited from NXOpen::BasePart
enum  BookmarkOption {
  BookmarkOptionAll, BookmarkOptionComponentGroupsLoadOptions, BookmarkOptionComponentGroupsOnly, BookmarkOptionAllPlusDisplay,
  BookmarkOptionComponentGroupsLoadOptionsPlusDisplay, BookmarkOptionComponentGroupsOnlyPlusDisplay, BookmarkOptionDisplayOnly, BookmarkOptionEmpty
}
 Controls the information written to a bookmark file. More...
 
enum  CloseAfterSave { CloseAfterSaveFalse, CloseAfterSaveTrue }
 Used to specify whether a part should be closed after it is saved. More...
 
enum  CloseModified { CloseModifiedUseResponses, CloseModifiedCloseModified, CloseModifiedDontCloseModified }
 Indicates how part close should handle component parts when they are modified. More...
 
enum  CloseWholeTree { CloseWholeTreeFalse, CloseWholeTreeTrue }
 Used to specify whether or not to close a part's components during a close operation. More...
 
enum  CollaborativeContentType {
  CollaborativeContentTypeWorkset, CollaborativeContentTypeSubset, CollaborativeContentTypeShapeDesignElement, CollaborativeContentTypeOverridePart,
  CollaborativeContentTypeNotAssigned
}
 Represents the collaborative content type corresponding to this part. More...
 
enum  PartPreview { PartPreviewNone, PartPreviewOnSave, PartPreviewOnDemand }
 Specifies the preview mode of the part file. More...
 
enum  SaveComponents { SaveComponentsFalse, SaveComponentsTrue }
 Used to specify whether a part's components should be saved (if modified) when the part is saved. More...
 
enum  Units { UnitsInches, UnitsMillimeters }
 The units of the part file. More...
 
- Public Types inherited from NXOpen::NXObject
enum  AttributeType {
  AttributeTypeInvalid, AttributeTypeNull, AttributeTypeBoolean, AttributeTypeInteger,
  AttributeTypeReal, AttributeTypeString, AttributeTypeTime, AttributeTypeReference,
  AttributeTypeAny = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { DateAndTimeFormatNumeric, DateAndTimeFormatTextual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

NXOpen::PartAssociatedCadPart ()
 Returns the cad part associated with the fem part. More...
 
void BodiesRecreateNew (const std::vector< NXOpen::Body * > &listOfBodies)
 RECREATE NEW on polygon bodies. More...
 
void BodiesRecreateUpdate (const std::vector< NXOpen::Body * > &listOfBodies)
 RECREATE UPDATE on polygon bodies. More...
 
void BodyDelete (NXOpen::Body *body)
 DELETE on polygon body given an underlying solid body. More...
 
void BodyRecreateNew (NXOpen::Body *body)
 RECREATE NEW on polygon body. More...
 
void BodyRecreateUpdate (NXOpen::Body *body)
 RECREATE UPDATE on polygon body. More...
 
NXOpen::CAE::CADModelingCadModeling ()
 Returns the CADModeling instance belonging to this part
Created in NX8.5.0. More...
 
NXOpen::CAE::EdgeSticherBuilderCreateEdgeSticherBuilder ()
 Creates a NXOpen::CAE::EdgeSticherBuilder. More...
 
void CreatePolygonBody (NXOpen::Body *body)
 CREATE POLYGON BODY on excluded ug tag. More...
 
NXOpen::CAE::UnStitchEdgeBuilderCreateUnStitchEdgeBuilder ()
 Creates a NXOpen::CAE::UnStitchEdgeBuilder. More...
 
void FinalizeCreation (NXOpen::CAE::FemCreationOptions *creationOptions)
 Finalizes the creation of the fem part file. More...
 
void FinalizeCreation (NXOpen::Part *cadPart, const NXString &idealizedPartName, NXOpen::CAE::FemPart::UseBodiesOption useBodiesOption, const std::vector< NXOpen::Body * > &bodies, NXOpen::CAE::FemSynchronizeOptions *geometrySyncOptions, const NXString &solverTypeName, const NXString &analysisTypeType, NXOpen::CAE::BaseFemPart::AxisymAbstractionType abstractionType, std::vector< NXString > &description)
 Finalizes the creation of the fem part file. More...
 
void FinalizeCreation (NXOpen::Part *cadPart, const char *idealizedPartName, NXOpen::CAE::FemPart::UseBodiesOption useBodiesOption, const std::vector< NXOpen::Body * > &bodies, NXOpen::CAE::FemSynchronizeOptions *geometrySyncOptions, const char *solverTypeName, const char *analysisTypeType, NXOpen::CAE::BaseFemPart::AxisymAbstractionType abstractionType, std::vector< NXString > &description)
 Finalizes the creation of the fem part file. More...
 
void FinalizeCreation (NXOpen::Part *cadPart, const NXString &idealizedPartName, NXOpen::CAE::FemPart::UseBodiesOption useBodiesOption, const std::vector< NXOpen::Body * > &bodies, NXOpen::CAE::FemSynchronizeOptions *geometrySyncOptions, const NXString &solverTypeName, const NXString &analysisTypeType, NXOpen::CAE::BaseFemPart::AxisymAbstractionType abstractionType, std::vector< NXString > &description, bool isMorphEnabled)
 Finalizes the creation of the fem part file. More...
 
void FinalizeCreation (NXOpen::Part *cadPart, const char *idealizedPartName, NXOpen::CAE::FemPart::UseBodiesOption useBodiesOption, const std::vector< NXOpen::Body * > &bodies, NXOpen::CAE::FemSynchronizeOptions *geometrySyncOptions, const char *solverTypeName, const char *analysisTypeType, NXOpen::CAE::BaseFemPart::AxisymAbstractionType abstractionType, std::vector< NXString > &description, bool isMorphEnabled)
 Finalizes the creation of the fem part file. More...
 
void FinalizeCreationManaged (NXOpen::Part *cadPart, bool createIdealPart, NXOpen::CAE::FemPart::UseBodiesOption useBodiesOption, const std::vector< NXOpen::Body * > &bodies, NXOpen::CAE::FemSynchronizeOptions *geometrySyncOptions, const NXString &solverTypeName, const NXString &analysisTypeType, NXOpen::CAE::BaseFemPart::AxisymAbstractionType abstractionType, std::vector< NXString > &description)
 Finalizes the creation of the fem part file while in managed mode (Teamcenter). More...
 
void FinalizeCreationManaged (NXOpen::Part *cadPart, bool createIdealPart, NXOpen::CAE::FemPart::UseBodiesOption useBodiesOption, const std::vector< NXOpen::Body * > &bodies, NXOpen::CAE::FemSynchronizeOptions *geometrySyncOptions, const char *solverTypeName, const char *analysisTypeType, NXOpen::CAE::BaseFemPart::AxisymAbstractionType abstractionType, std::vector< NXString > &description)
 Finalizes the creation of the fem part file while in managed mode (Teamcenter). More...
 
void GetGeometryData (NXOpen::CAE::FemPart::UseBodiesOption *useBodiesOption, std::vector< NXOpen::Body * > &listOfBodies, NXOpen::CAE::FemSynchronizeOptions **psyncData)
 Gets geometry data associated with the fem part. More...
 
void GetMeshPreferences (NXOpen::NXColor **tinyEdgeColor, double *snapTolerance, int *projectNodesToCadOption, double *projectionTolerance, int *refineTessellation)
 Returns the mesh preferences data associated with the fem part. More...
 
NXOpen::PartIdealizedPart ()
 Returns the idealized part associated with the fem part. More...
 
NXOpen::PartMasterCadPart ()
 Returns the master cad part associated with the fem part. More...
 
NXOpen::CAE::MeshPointCollectionMeshPoints ()
 Returns the meshpoint collector collection belonging to the part
Created in NX3.0.0. More...
 
NXOpen::CAE::FemCreationOptionsNewFemCreationOptions ()
 Creates a NXOpen::CAE::FemCreationOptions . More...
 
NXOpen::CAE::FemSynchronizeOptionsNewFemSynchronizeOptions ()
 Creates a NXOpen::CAE::FemSynchronizeOptions . More...
 
void PolygonBodyDelete (NXOpen::CAE::CAEBody *body)
 DELETE on polygon body. More...
 
NXOpen::CAE::PolygonGeometryManagerPolygonGeometryMgr ()
 Returns the geometry recipe collection belonging to this fem part
Created in NX10.0.0. More...
 
void SetAssociatedCadAsWork (NXOpen::Part *cadPart)
 Sets the cad part associated with the fem as work. More...
 
void SetFemAsWork ()
 Sets the fem as work, if associated cad is the current work. More...
 
void SetGeometryData (NXOpen::CAE::FemPart::UseBodiesOption useBodiesOption, const std::vector< NXOpen::Body * > &listOfBodies, NXOpen::CAE::FemSynchronizeOptions *psyncData)
 Sets the geometry data associated with the fem part. More...
 
void SetMeshPreferences (NXOpen::NXColor *tinyEdgeColor, double snapTolerance, int projectNodesToCadOption, double projectionTolerance, int refineTessellation)
 Sets the mesh preferences data associated with the fem part. More...
 
- Public Member Functions inherited from NXOpen::CAE::BaseFemPart
NXOpen::CAE::BaseFEModelBaseFEModel ()
 Returns the femodel NXOpen::CAE::BaseFEModel associated with the part. More...
 
NXString FullPathForAssociatedCadPart ()
 Returns the full pathname of the associated cad part. More...
 
NXOpen::CAE::BaseFemPart::AxisymAbstractionType GetAbstractionType ()
 Gets axisymmetric abstraction type assoicated with the BaseFem part. More...
 
NXOpen::CoordinateSystemGetCyclicSymmetryCsys ()
 Gets the cyclic symmetry csys associated to the fem. More...
 
bool GetEnableMeshMorph ()
 Gets the enable mesh morphing flag. More...
 
void GetSolverAndAnalysisType (NXString *solverTypeName, NXString *analysisTypeName)
 Gets solver and analysis type assoicated with the BaseFem part. More...
 
void SetCyclicSymmetryCsys (NXOpen::CoordinateSystem *cyclicSymmetryCsys)
 Sets the cyclic symmetry csys associated to the fem
Created in NX11.0.0. More...
 
void SetEnableMeshMorph (bool isMorphingEnabled)
 Sets the enable mesh morphing flag
Created in NX10.0.0. More...
 
void SetSolverAndAnalysisType (const NXString &solverTypeName, const NXString &analysisTypeName)
 Sets solver and analysis type assoicated with the BaseFem part. More...
 
void SetSolverAndAnalysisType (const char *solverTypeName, const char *analysisTypeName)
 Sets solver and analysis type assoicated with the BaseFem part. More...
 
void SetSolverAndAnalysisTypeAndAbstraction (const NXString &solverTypeName, const NXString &analysisTypeName, NXOpen::CAE::BaseFemPart::AxisymAbstractionType abstractionType)
 Sets solver and analysis type and axisymmetric abstraction associated with the BaseFem part. More...
 
void SetSolverAndAnalysisTypeAndAbstraction (const char *solverTypeName, const char *analysisTypeName, NXOpen::CAE::BaseFemPart::AxisymAbstractionType abstractionType)
 Sets solver and analysis type and axisymmetric abstraction associated with the BaseFem part. More...
 
void SetUseCyclicSymmetryCsys (bool useCyclicSymmetryCsys)
 Sets the use cyclic symmetry csys flag
Created in NX11.0.0. More...
 
NXOpen::CAE::SketchCurvesCollectionSketchCurves ()
 Returns the Sketch Curves collection belonging to the part
Created in NX7.5.0. More...
 
bool UseCyclicSymmetryCsys ()
 Returns the use cyclic symmetry csys flag
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::CAE::CaePart
NXOpen::CAE::AtvSetCollectionAtvSets ()
 Contains a NXOpen::CAE::AtvSetCollection . More...
 
NXOpen::CAE::CaeGroupCollectionCaeGroups ()
 Returns the CAE Group collection belonging to this Part
Created in NX3.0.0. More...
 
NXOpen::CAE::NoteCollectionCaeNoteCollection ()
 Contains a cae note collection. More...
 
NXOpen::CAE::QueryCurveManagerCaeQueryCurves ()
 Returns the CAE query curve manager belonging to this Part
Created in NX11.0.0. More...
 
NXOpen::CAE::ConvertToConvergentBodyBuilderCreateConvertToConvergentBodyBuilder ()
 Creates a NXOpen::CAE::ConvertToConvergentBodyBuilder. More...
 
NXOpen::CAE::ModelDisplayBuilderCreateModelDisplayBuilder ()
 Creates a builder for model display controls command. More...
 
NXOpen::CAE::SolverAppendOptionCreateSolverAppendOption ()
 Returns a solver append option object for importing the solver specific data into an existing NXOpen::CAE::FemPart or NXOpen::CAE::SimPart . More...
 
void DeleteSolverAppendOption (NXOpen::CAE::SolverAppendOption *appendOption)
 Deletes a solver append option object for importing the solver specific data into an existing NXOpen::CAE::FemPart or NXOpen::CAE::SimPart . More...
 
NXOpen::CAE::ModelCheck::ElementQualitySettingCollectionElementQualitySettings ()
 Returns the element quality settings collection belonging to this CAE Part
Created in NX8.5.0. More...
 
void ExportJt (const NXString &fileName)
 Exports JT file. More...
 
void ExportJt (const char *fileName)
 Exports JT file. More...
 
void ExportSimulation (const NXString &solverName, NXOpen::CAE::CaeDataContainer *propertyList)
 Exports the Simulation data for a NXOpen::CAE::CaePart . More...
 
void ExportSimulation (const char *solverName, NXOpen::CAE::CaeDataContainer *propertyList)
 Exports the Simulation data for a NXOpen::CAE::CaePart . More...
 
NXOpen::CAE::FrfSetCollectionFrfSets ()
 Contains a NXOpen::CAE::FrfSetCollection . More...
 
NXOpen::Fields::IApplicationGetApplication (NXOpen::CAE::CaePart::FieldApplicationType applicationType)
 Get the application which corresponds to the specified type. More...
 
int GetCsysFlattenedLabel (NXOpen::CoordinateSystem *csys)
 Gets the resolved label of csys in cae part. More...
 
void GetDescription (std::vector< NXString > &description)
 Gets the description assoicated with the Cae part. More...
 
void ImportExistingSimulation (const NXString &solverName, NXOpen::CAE::CaeDataContainer *propertyList)
 Imports the solver specific data into an existing NXOpen::CAE::FemPart or NXOpen::CAE::SimPart . More...
 
void ImportExistingSimulation (const char *solverName, NXOpen::CAE::CaeDataContainer *propertyList)
 Imports the solver specific data into an existing NXOpen::CAE::FemPart or NXOpen::CAE::SimPart . More...
 
NXOpen::CAE::LayoutStateCollectionLayoutStates ()
 Contains a NXOpen::CAE::LayoutStateCollection . More...
 
NXOpen::CAE::MeshControlDisplayManagerMeshControlDisplayMgr ()
 Returns the mesh control display manager belonging to this IFem
Created in NX3.0.0. More...
 
NXOpen::CAE::ModelCheckManagerModelCheckMgr ()
 Returns the select element manager belonging to this IFem
Created in NX3.0.0. More...
 
NXOpen::CAE::ModelingObjectPropertyTableCollectionModelingObjectPropertyTables ()
 Returns the modeling object property table collection belonging to this CAE Part
Created in NX3.0.0. More...
 
NXOpen::CAE::ModeSetCollectionModeSets ()
 Contains a NXOpen::CAE::ModeSetCollection . More...
 
NXOpen::CAE::BeamSectionOffsetOptionsNewBeamSectionOffsetOptions ()
 Creates a NXOpen::CAE::BeamSectionOffsetOptions . More...
 
NXOpen::CAE::BeamSectionOptionsNewBeamSectionOptions ()
 Creates a NXOpen::CAE::BeamSectionOptions . More...
 
NXOpen::CAE::BeamSectionOrientationOptionsNewBeamSectionOrientationOptions ()
 Creates a NXOpen::CAE::BeamSectionOrientationOptions . More...
 
NXOpen::CAE::MaterialOptionsNewMaterialOptions ()
 Creates a NXOpen::CAE::MaterialOptions . More...
 
NXOpen::CAE::NodeElementInfoManagerNodeElementInfoMgr ()
 Returns the node element info manager belonging to this IFem
Created in NX3.0.0. More...
 
NXOpen::CAE::NoteManagerNotes ()
 Contains a cae annotation manager. More...
 
NXOpen::CAE::PhysicalPropertyTableCollectionPhysicalPropertyTables ()
 Returns the physical property table collection belonging to this CAE Part
Created in NX3.0.0. More...
 
NXOpen::CAE::PostScenarioManagerPostScenarioMgr ()
 Contains a NXOpen::CAE::PostScenarioManager . More...
 
NXOpen::CAE::SelectElementsManagerSelectElementMgr ()
 Returns the select element manager belonging to this IFem
Created in NX3.0.0. More...
 
NXOpen::CAE::SelectionRecipeCollectionSelectionRecipes ()
 Contains a NXOpen::CAE::SelectionRecipeCollection . More...
 
void SetDescription (std::vector< NXString > &description)
 Sets the description assoicated with the Cae part. More...
 
NXOpen::CAE::ShowHideManagerShowHideMgr ()
 Returns the show hide manager belonging to the part
Created in NX3.0.0. More...
 
NXOpen::CAE::SmartSelectionManagerSmartSelectionMgr ()
 Returns the smart selection manager belonging to this part
Created in NX3.0.0. More...
 
- Public Member Functions inherited from NXOpen::BasePart
NXOpen::GeometricAnalysis::AnalysisManagerAnalysisManager ()
 Returns the GeometricAnalysisManager for part
Created in NX5.0.0. More...
 
NXOpen::Annotations::AnnotationManagerAnnotations ()
 Returns the PMI Annotation Manager for part
Created in NX12.0.0. More...
 
NXOpen::ArcCollectionArcs ()
 Returns the ArcCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Assemblies::ProductOutlineManagerAssemblies ()
 Returns the NXOpen::Assemblies::ProductOutlineManager belonging to this session
Created in NX6.0.0. More...
 
NXOpen::Assemblies::AssemblyManagerAssemblyManager ()
 Returns the NXOpen::Assemblies::AssemblyManager belonging to this session
Created in NX6.0.0. More...
 
void AssignPermanentName (const NXString &newFileName)
 Saves a temporary part with the given name. More...
 
void AssignPermanentName (const char *newFileName)
 Saves a temporary part with the given name. More...
 
NXOpen::AxisCollectionAxes ()
 Returns the AxisCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Features::BaseFeatureCollectionBaseFeatures ()
 Returns the FeatureCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::CAE::ViewLayoutManagerCaeViewLayoutManager ()
 Returns the CAE.ViewLayoutManager in the session
Created in NX12.0.0. More...
 
NXOpen::Display::CameraCollectionCameras ()
 Returns the Display.CameraCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::CAM::CAMFeatureCollectionCAMFeatures ()
 Returns the CAMFeatureCollection instance belonging to this part
Created in NX7.5.0. More...
 
bool CanBeDisplayPart ()
 Returns true if the part can be displayed and false if not displayed. More...
 
void Close (NXOpen::BasePart::CloseWholeTree wholeTree, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses)
 Closes an open part. More...
 
NXOpen::ColorManagerColors ()
 Manages the standard NX colors
Created in NX3.0.0. More...
 
void CompleteStructure ()
 Make additions necessary to complete the incomplete assembly structure of the input part
Created in NX4.0.0. More...
 
NXOpen::Assemblies::ComponentAssemblyComponentAssembly ()
 Returns the component assembly. More...
 
NXOpen::Drawings::ConvertToPMIBuilderManagerConvertToPMIBuilderManager ()
 Returns the Drawings.BuilderManager belonging to this part
Created in NX11.0.0. More...
 
NXOpen::CoordinateSystemCollectionCoordinateSystems ()
 Returns the CoordinateSystemCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Display::DynamicSectionBuilderCreateDynamicSectionBuilder (bool loadFromView)
 Creates a NXOpen::Display::DynamicSectionBuilder The base part must be a displayable part, otherwise an exception will be thrown. More...
 
NXOpen::EffectivityConditionBuilderCreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const NXString &effectivityFormula)
 Creates a NXOpen::EffectivityConditionBuilder. More...
 
NXOpen::EffectivityConditionBuilderCreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const char *effectivityFormula)
 Creates a NXOpen::EffectivityConditionBuilder. More...
 
NXOpen::EffectivityConditionBuilderCreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const NXString &validationBasisFormula, const NXString &effectivityFormula)
 Creates a NXOpen::EffectivityConditionBuilder with initializing validation basis formula. More...
 
NXOpen::EffectivityConditionBuilderCreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const char *validationBasisFormula, const char *effectivityFormula)
 Creates a NXOpen::EffectivityConditionBuilder with initializing validation basis formula. More...
 
NXOpen::Display::FacetSettingsBuilderCreateFacetSettingsBuilder ()
 Creates a builder for the Facet Settings dialog. More...
 
NXOpen::GroupBuilderCreateGatewayGroupBuilder (NXOpen::Group *group)
 Creates a Groups builder. More...
 
NXOpen::Display::PerspectiveOptionsBuilderCreatePerspectiveOptionsBuilder ()
 Creates a builder for the Perspective Options dialog. More...
 
NXOpen::ReferenceSetCreateReferenceSet ()
 Creates a NXOpen::ReferenceSet object. More...
 
NXOpen::CurveCollectionCurves ()
 Returns the CurveCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::DatumCollectionDatums ()
 Returns the DatumCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Display::DecalCollectionDecals ()
 Returns the Display.DecalCollection instance belonging to this part
Created in NX3.0.0. More...
 
void DeleteReferenceSet (NXOpen::ReferenceSet *referenceSetObject)
 Deletes a NXOpen::ReferenceSet object
Created in NX6.0.0. More...
 
NXOpen::Optimization::DesignStudyCollectionDesignStudy ()
 Returns the design study instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::DirectionCollectionDirections ()
 Returns the DirectionCollection instance belonging to this part
Created in NX3.0.0. More...
 
bool Displayed ()
 Returns true if the part represents a displayed part. More...
 
NXOpen::Display::DynamicSectionCollectionDynamicSections ()
 Returns the Display.DynamicSectionCollection instance belonging to this part
Created in NX6.0.0. More...
 
NXOpen::EllipseCollectionEllipses ()
 Returns the EllipseCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::ExpressionGroupCollectionExpressionGroups ()
 Returns the ExpressionCollection instance belonging to this part
Created in NX10.0.0. More...
 
NXOpen::ExpressionCollectionExpressions ()
 Returns the ExpressionCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Features::FeatureCollectionFeatures ()
 Returns the FeatureCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Fields::FieldManagerFieldManager ()
 Returns the field main. More...
 
NXOpen::FontCollectionFonts ()
 Returns the FontCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXString FullPath ()
 Returns the full path of the part. More...
 
NXOpen::CAE::FunctionCollectionFunctions ()
 Returns the CAE.FunctionCollection for this part
Created in NX5.0.0. More...
 
std::vector
< NXOpen::ReferenceSet * > 
GetAllReferenceSets ()
 Get all the NXOpen::ReferenceSet objects in this part. More...
 
void GetArrangements (std::vector< NXOpen::Assemblies::Arrangement * > &arrangements)
 Outputs the NXOpen::Assemblies::Arrangement objects within the given part. More...
 
NXOpen::BasePart::CollaborativeContentType GetCollaborativeContentType ()
 The collaborative content type of this part. More...
 
std::vector
< NXOpen::BasePart::HistoryEventInformation
GetHistoryInformation ()
 Get history of part. More...
 
NXOpen::BasePart::IncompleteStatus GetIncompleteStatus ()
 Inquire whether the provided part is flagged as being incomplete. More...
 
NXString GetMakeUniqueName ()
 Gets the Unique name on a part for the Make Unique operation. More...
 
void GetPreviewImage (int *width, int *height, std::vector< int > &pixels)
 Get the preview image This will return the graphic preview image of the part (when available). More...
 
NXOpen::BasePart::TransientStatus GetTransientStatus ()
 Inquire whether the provided part is flagged as being transient. More...
 
NXOpen::Display::GridCollectionGrids ()
 Returns the Display.GridCollection instance belonging to this part
Created in NX6.0.0. More...
 
bool HasWriteAccess ()
 Returns the write-access status of a part independent of the load state. More...
 
NXOpen::HyperbolaCollectionHyperbolas ()
 Returns the HyperbolaCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Gateway::ImageCaptureManagerImageCaptureManager ()
 Returns the Gateway.ImageCaptureManager instance belonging to this part
Created in NX7.5.0. More...
 
NXOpen::Display::ImageCollectionImages ()
 Returns the Display.ImageCollection instance belonging to this part
Created in NX9.0.0. More...
 
NXOpen::Display::ImageDataCollectionImagesData ()
 Returns the Display.ImageDataCollection instance belonging to this part
Created in NX9.0.0. More...
 
NXOpen::InfiniteLineCollectionInfiniteLines ()
 Returns the InfiniteLineCollection instance belonging to this part
Created in NX7.5.0. More...
 
bool IsFullyLoaded ()
 Returns the load status of a part. More...
 
bool IsReadOnly ()
 Returns the read-only status of a part. More...
 
NXOpen::Layer::CategoryCollectionLayerCategories ()
 Returns a collection of layer categories
Created in NX3.0.0. More...
 
NXOpen::Layer::LayerManagerLayers ()
 Returns the LayerManager for this part
Created in NX3.0.0. More...
 
NXOpen::LayoutCollectionLayouts ()
 Returns the LayoutCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXString Leaf ()
 Returns the leaf name of the part. More...
 
NXOpen::LightCollectionLights ()
 Returns the LightCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::LineCollectionLines ()
 Returns the LineCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::PartLoadStatusLoadFeatureDataForSelection ()
 Ensure that feature data is loaded for a part. More...
 
NXOpen::PartLoadStatusLoadFully ()
 Ensures that this part is fully loaded. More...
 
NXOpen::PartLoadStatusLoadThisPartFully ()
 Ensures that this part is fully loaded. More...
 
NXOpen::PartLoadStatusLoadThisPartPartially ()
 Ensures that this part is at least partially loaded. More...
 
NXOpen::MaterialManagerMaterialManager ()
 Returns the Material Manager belonging to this Part
Created in NX3.0.0. More...
 
NXOpen::MeasureManagerMeasureManager ()
 Returns the measure manager for this part
Created in NX3.0.0. More...
 
NXOpen::ModelingViewCollectionModelingViews ()
 Returns the ModelingViewCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::NXMatrixCollectionNXMatrices ()
 Returns the NXMatrixCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::OffsetCollectionOffsets ()
 Returns the OffsetCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Optimization::OptimizationCollectionOptimization ()
 Returns the optimization instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::ParabolaCollectionParabolas ()
 Returns the ParabolaCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::BasePart::PartPreview PartPreviewMode ()
 Returns the preview mode
Created in NX3.0.0. More...
 
NXOpen::BasePart::Units PartUnits ()
 Returns the units of the part file. More...
 
NXOpen::PDM::PdmPartPDMPart ()
 Returns the instance of the PDM.PdmPart class
Created in NX3.0.0. More...
 
NXOpen::PlaneCollectionPlanes ()
 Return a collection of Planes
Created in NX3.0.0. More...
 
NXOpen::PlotManagerPlotManager ()
 Returns the PlotManager instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Display::PointCloudCollectionPointClouds ()
 Returns the Display.PointCloudCollection instance belonging to this part
Created in NX11.0.0. More...
 
NXOpen::PointCollectionPoints ()
 Returns the PointCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::PolylineCollectionPolylines ()
 Returns the PolylineCollection instance belonging to this part
Created in NX10.0.0. More...
 
NXOpen::Preferences::PartPreferencesPreferences ()
 Returns the PartPreferences instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::PropertiesManagerPropertiesManager ()
 Returns the PropertiesManager instance belonging to this part
Created in NX8.0.0. More...
 
void RegenerateDisplayFacets (bool regenerateChildren)
 Regenerates display specific transient cached facets in the part. More...
 
void RegenerateDisplayFacets (bool deleteSavedDisplayFacets, bool regenerateChildren)
 Regenerates display specific cached facets in the part. More...
 
void ReinstateTransience ()
 Reinstate the transient status to the formerly transient input part
Created in NX4.0.0. More...
 
void RemoveTransience ()
 Remove the transient status from the input part
Created in NX4.0.0. More...
 
NXOpen::BasePartReopen (NXOpen::BasePart::CloseWholeTree wholeTree, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport)
 Reopens a loaded part. More...
 
NXOpen::BasePartReopenAs (const NXString &fileName, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport)
 Reopens a loaded part. More...
 
NXOpen::BasePartReopenAs (const char *fileName, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport)
 Reopens a loaded part. More...
 
NXOpen::Validate::RequirementCheckCollectionRequirementChecks ()
 Returns the RequirementCheckCollection instance belonging to this part
Created in NX8.5.0. More...
 
NXOpen::Validate::RequirementCollectionRequirements ()
 Returns the RequirementCollection instance belonging to this part
Created in NX8.5.0. More...
 
void ReverseBlankAll ()
 Reverse blank all the objects in the part. More...
 
NXOpen::RuleManagerRuleManager ()
 Returns the rule manager for this part
Created in NX3.0.0. More...
 
NXOpen::PartSaveStatusSave (NXOpen::BasePart::SaveComponents saveComponentParts, NXOpen::BasePart::CloseAfterSave close)
 Saves the part whether it is modified or not. More...
 
NXOpen::PartSaveStatusSaveAs (const NXString &newFileName)
 Creates copy of target part. More...
 
NXOpen::PartSaveStatusSaveAs (const char *newFileName)
 Creates copy of target part. More...
 
void SaveBookmark (const NXString &fileName, NXOpen::BasePart::BookmarkOption option)
 Saves a bookmark file. More...
 
void SaveBookmark (const char *fileName, NXOpen::BasePart::BookmarkOption option)
 Saves a bookmark file. More...
 
bool SaveDisplayFacets ()
 Returns whether display quality facets are saved in the part file
Created in NX9.0.0. More...
 
NXOpen::PartSaveOptionsSaveOptions ()
 Returns the PartSaveOptions instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::ScalarCollectionScalars ()
 Returns the ScalarCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::ScCollectorCollectionScCollectors ()
 Returns the ScCollectorCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::SectionCollectionSections ()
 Returns the SectionCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Display::SelPrefCollectionSelPref ()
 Returns the Display.SelPrefCollection instance belonging to this part
Created in NX3.0.0. More...
 
void SetMakeUniqueName (const NXString &newUniqueName)
 Sets the unique name on part for the Make Unique operation
Created in NX8.0.0. More...
 
void SetMakeUniqueName (const char *newUniqueName)
 Sets the unique name on part for the Make Unique operation
Created in NX8.0.0. More...
 
void SetPartPreviewMode (NXOpen::BasePart::PartPreview mode)
 Sets the preview mode
Created in NX3.0.0. More...
 
void SetSaveDisplayFacets (bool saveDisplayFacets)
 Sets whether display quality facets are saved in the part file
Created in NX9.0.0. More...
 
void SetUniqueIdentifier (const NXString &identifier)
 Sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open. More...
 
void SetUniqueIdentifier (const char *identifier)
 Sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open. More...
 
NXOpen::Display::TrueShadingCollectionSHEDObjs ()
 Returns the Display.TrueShadingCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::SplineCollectionSplines ()
 Returns the SplineCollection instance belonging to this part
Created in NX5.0.0. More...
 
NXOpen::Display::TrueStudioCollectionTrueStudioObjs ()
 Returns the Display.TrueStudioCollection instance belonging to this part
Created in NX8.0.0. More...
 
void Undisplay ()
 Undisplays the part, if it is currently a displayed part. More...
 
NXString UniqueIdentifier ()
 Returns the unique identifier for this part used to determine whether parts can be quietly substituted during part open. More...
 
NXOpen::UnitCollectionUnitCollection ()
 Returns a collection of Units
Created in NX3.0.0. More...
 
NXOpen::UserDefinedObjects::UserDefinedObjectManagerUserDefinedObjectManager ()
 Returns the NXOpen::UserDefinedObjects::UserDefinedObjectManager belonging to this session
Created in NX3.0.0. More...
 
NXOpen::ValidationCollectionValidations ()
 Returns the validation for this part
Created in NX3.0.0. More...
 
NXOpen::ViewCollectionViews ()
 Returns the ViewCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::WCSWCS ()
 Returns the WCS instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::XformCollectionXforms ()
 Returns the XformCollection instance belonging to this part
Created in NX3.0.0. More...
 
- Public Member Functions inherited from NXOpen::NXObject
NXOpen::AttributeIteratorCreateAttributeIterator ()
 Create an attribute iterator. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type)
 Deletes all attributes of a specific type. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttributes (NXOpen::AttributeIterator *iterator, NXOpen::Update::Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator
Created in NX8.0.0. More...
 
void DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
virtual NXOpen::INXObjectFindObject (const NXString &journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
virtual NXOpen::INXObjectFindObject (const char *journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
bool GetBooleanUserAttribute (const NXString &title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
bool GetBooleanUserAttribute (const char *title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
int GetIntegerAttribute (const NXString &title)
 Gets an integer attribute by title. More...
 
int GetIntegerAttribute (const char *title)
 Gets an integer attribute by title. More...
 
int GetIntegerUserAttribute (const NXString &title, int index)
 Gets an integer attribute by Title and array Index. More...
 
int GetIntegerUserAttribute (const char *title, int index)
 Gets an integer attribute by Title and array Index. More...
 
bool GetNextUserAttribute (NXOpen::AttributeIterator *iterator, NXOpen::NXObject::AttributeInformation *info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
NXString GetPdmReferenceAttributeValue (const NXString &attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
NXString GetPdmReferenceAttributeValue (const char *attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
double GetRealAttribute (const NXString &title)
 Gets a real attribute by title. More...
 
double GetRealAttribute (const char *title)
 Gets a real attribute by title. More...
 
double GetRealUserAttribute (const NXString &title, int index)
 Gets a real attribute by Title and array Index. More...
 
double GetRealUserAttribute (const char *title, int index)
 Gets a real attribute by Title and array Index. More...
 
NXString GetReferenceAttribute (const NXString &title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetReferenceAttribute (const char *title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetStringAttribute (const NXString &title)
 Gets a string attribute value by title. More...
 
NXString GetStringAttribute (const char *title)
 Gets a string attribute value by title. More...
 
NXString GetStringUserAttribute (const NXString &title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetStringUserAttribute (const char *title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title)
 Gets a time attribute by title. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title)
 Gets a time attribute by title. More...
 
NXString GetTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXString GetTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const NXString &title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const char *title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
NXString GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
NXString GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
bool GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
bool GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (NXOpen::AttributeIterator *iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
std::vector< NXStringGetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
int GetUserAttributeSize (const NXString &title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
int GetUserAttributeSize (const char *title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
std::vector< NXOpen::NXObject * > GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
bool HasUserAttribute (NXOpen::AttributeIterator *iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator. More...
 
bool HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
bool HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
virtual bool IsOccurrence ()
 Returns whether this object is an occurrence or not. More...
 
virtual NXString JournalIdentifier ()
 Returns the identifier that would be recorded in a journal for this object. More...
 
virtual NXString Name ()
 Returns the custom name of the object. More...
 
virtual
NXOpen::Assemblies::Component
OwningComponent ()
 Returns the owning component, if this object is an occurrence. More...
 
virtual NXOpen::BasePartOwningPart ()
 Returns the owning part of this object
Created in NX3.0.0. More...
 
virtual void Print ()
 Prints a representation of this object to the system log file. More...
 
virtual NXOpen::INXObjectPrototype ()
 Returns the prototype of this object if it is an occurrence. More...
 
void SetAttribute (const NXString &title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const char *title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const NXString &title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const char *title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const char *title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const NXString &title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const char *title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const char *title, const char *value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const char *title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const NXString &title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetAttribute (const char *title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
virtual void SetName (const NXString &name)
 Sets the custom name of the object. More...
 
virtual void SetName (const char *name)
 Sets the custom name of the object. More...
 
void SetPdmReferenceAttribute (const NXString &attributeTitle, const NXString &attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetPdmReferenceAttribute (const char *attributeTitle, const char *attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const char *title, const char *value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const char *title, const char *value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
void SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents an NX part of type .fem.


Use the NXOpen::PartCollection class to load or create a part.

Created in NX4.0.0.

Member Enumeration Documentation

Used to specify the option of specifying bodies to use from the CAD Part while creating the CAE::FemPart object.

Enumerator
UseBodiesOptionSelectedBodies 

Use selected bodies from the cad part.

UseBodiesOptionVisibleBodies 

Use all visible bodies from the cad part.

UseBodiesOptionAllBodies 

Use all bodies from the cad part.

Member Function Documentation

NXOpen::Part* NXOpen::CAE::FemPart::AssociatedCadPart ( )

Returns the cad part associated with the fem part.

Returns nothing if the fem is not associated to cad or that cad is not loaded.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling")

void NXOpen::CAE::FemPart::BodiesRecreateNew ( const std::vector< NXOpen::Body * > &  listOfBodies)

RECREATE NEW on polygon bodies.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
listOfBodieslist of bodies
void NXOpen::CAE::FemPart::BodiesRecreateUpdate ( const std::vector< NXOpen::Body * > &  listOfBodies)

RECREATE UPDATE on polygon bodies.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
listOfBodieslist of bodies
void NXOpen::CAE::FemPart::BodyDelete ( NXOpen::Body body)

DELETE on polygon body given an underlying solid body.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::CAE::FemPart::PolygonBodyDelete instead.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
bodybody
void NXOpen::CAE::FemPart::BodyRecreateNew ( NXOpen::Body body)

RECREATE NEW on polygon body.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
bodybody
void NXOpen::CAE::FemPart::BodyRecreateUpdate ( NXOpen::Body body)

RECREATE UPDATE on polygon body.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
bodybody
NXOpen::CAE::CADModeling* NXOpen::CAE::FemPart::CadModeling ( )

Returns the CADModeling instance belonging to this part
Created in NX8.5.0.


NXOpen::CAE::EdgeSticherBuilder* NXOpen::CAE::FemPart::CreateEdgeSticherBuilder ( )

Creates a NXOpen::CAE::EdgeSticherBuilder.

Returns

Created in NX6.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")
void NXOpen::CAE::FemPart::CreatePolygonBody ( NXOpen::Body body)

CREATE POLYGON BODY on excluded ug tag.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
bodybody
NXOpen::CAE::UnStitchEdgeBuilder* NXOpen::CAE::FemPart::CreateUnStitchEdgeBuilder ( )

Creates a NXOpen::CAE::UnStitchEdgeBuilder.

Returns

Created in NX6.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")
void NXOpen::CAE::FemPart::FinalizeCreation ( NXOpen::CAE::FemCreationOptions creationOptions)

Finalizes the creation of the fem part file.

This method should be called immediately after creating the fem part file. This method should be called only once for each fem part file. The second call to the method will raise an error.
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
creationOptionscreation options
void NXOpen::CAE::FemPart::FinalizeCreation ( NXOpen::Part cadPart,
const NXString idealizedPartName,
NXOpen::CAE::FemPart::UseBodiesOption  useBodiesOption,
const std::vector< NXOpen::Body * > &  bodies,
NXOpen::CAE::FemSynchronizeOptions geometrySyncOptions,
const NXString solverTypeName,
const NXString analysisTypeType,
NXOpen::CAE::BaseFemPart::AxisymAbstractionType  abstractionType,
std::vector< NXString > &  description 
)

Finalizes the creation of the fem part file.

This method should be called immediately after creating the fem part file. This method should be called only once for each fem part file. The second call to the method will raise an error.

Deprecated:
Deprecated in NX10.0.0. Use NXOpen::CAE::FemPart::FinalizeCreation that takes CAE::FemCreationOptions as an input argument.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
cadPartthe cad part to be associated with the fem part
idealizedPartNamethe name of the idealized part to be created
useBodiesOptionThe option to specify bodies to use from the cad part while creating the fem part
bodiesthe bodies to be used
geometrySyncOptionsgeometry sync options
solverTypeNamethe name of the solver. Refer to NX help for more information
analysisTypeTypethe name of the analysis type. Refer to NX help for more information
abstractionTypethe axisymmetric abstraction type. Refer to NX help for more information
descriptiondescription
void NXOpen::CAE::FemPart::FinalizeCreation ( NXOpen::Part cadPart,
const char *  idealizedPartName,
NXOpen::CAE::FemPart::UseBodiesOption  useBodiesOption,
const std::vector< NXOpen::Body * > &  bodies,
NXOpen::CAE::FemSynchronizeOptions geometrySyncOptions,
const char *  solverTypeName,
const char *  analysisTypeType,
NXOpen::CAE::BaseFemPart::AxisymAbstractionType  abstractionType,
std::vector< NXString > &  description 
)

Finalizes the creation of the fem part file.

This method should be called immediately after creating the fem part file. This method should be called only once for each fem part file. The second call to the method will raise an error.

Deprecated:
Deprecated in NX10.0.0. Use NXOpen::CAE::FemPart::FinalizeCreation that takes CAE::FemCreationOptions as an input argument.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
cadPartthe cad part to be associated with the fem part
idealizedPartNamethe name of the idealized part to be created
useBodiesOptionThe option to specify bodies to use from the cad part while creating the fem part
bodiesthe bodies to be used
geometrySyncOptionsgeometry sync options
solverTypeNamethe name of the solver. Refer to NX help for more information
analysisTypeTypethe name of the analysis type. Refer to NX help for more information
abstractionTypethe axisymmetric abstraction type. Refer to NX help for more information
descriptiondescription
void NXOpen::CAE::FemPart::FinalizeCreation ( NXOpen::Part cadPart,
const NXString idealizedPartName,
NXOpen::CAE::FemPart::UseBodiesOption  useBodiesOption,
const std::vector< NXOpen::Body * > &  bodies,
NXOpen::CAE::FemSynchronizeOptions geometrySyncOptions,
const NXString solverTypeName,
const NXString analysisTypeType,
NXOpen::CAE::BaseFemPart::AxisymAbstractionType  abstractionType,
std::vector< NXString > &  description,
bool  isMorphEnabled 
)

Finalizes the creation of the fem part file.

This method should be called immediately after creating the fem part file. This method should be called only once for each fem part file. The second call to the method will raise an error.

Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::FemPart::FinalizeCreation that takes CAE::FemCreationOptions as an input argument.


Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
cadPartthe cad part to be associated with the fem part
idealizedPartNamethe name of the idealized part to be created
useBodiesOptionThe option to specify bodies to use from the cad part while creating the fem part
bodiesthe bodies to be used
geometrySyncOptionsgeometry sync options
solverTypeNamethe name of the solver. Refer to NX help for more information
analysisTypeTypethe name of the analysis type. Refer to NX help for more information
abstractionTypethe axisymmetric abstraction type. Refer to NX help for more information
descriptiondescription
isMorphEnabledIs Mesh Morphing enabled or not
void NXOpen::CAE::FemPart::FinalizeCreation ( NXOpen::Part cadPart,
const char *  idealizedPartName,
NXOpen::CAE::FemPart::UseBodiesOption  useBodiesOption,
const std::vector< NXOpen::Body * > &  bodies,
NXOpen::CAE::FemSynchronizeOptions geometrySyncOptions,
const char *  solverTypeName,
const char *  analysisTypeType,
NXOpen::CAE::BaseFemPart::AxisymAbstractionType  abstractionType,
std::vector< NXString > &  description,
bool  isMorphEnabled 
)

Finalizes the creation of the fem part file.

This method should be called immediately after creating the fem part file. This method should be called only once for each fem part file. The second call to the method will raise an error.

Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::FemPart::FinalizeCreation that takes CAE::FemCreationOptions as an input argument.


Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
cadPartthe cad part to be associated with the fem part
idealizedPartNamethe name of the idealized part to be created
useBodiesOptionThe option to specify bodies to use from the cad part while creating the fem part
bodiesthe bodies to be used
geometrySyncOptionsgeometry sync options
solverTypeNamethe name of the solver. Refer to NX help for more information
analysisTypeTypethe name of the analysis type. Refer to NX help for more information
abstractionTypethe axisymmetric abstraction type. Refer to NX help for more information
descriptiondescription
isMorphEnabledIs Mesh Morphing enabled or not
void NXOpen::CAE::FemPart::FinalizeCreationManaged ( NXOpen::Part cadPart,
bool  createIdealPart,
NXOpen::CAE::FemPart::UseBodiesOption  useBodiesOption,
const std::vector< NXOpen::Body * > &  bodies,
NXOpen::CAE::FemSynchronizeOptions geometrySyncOptions,
const NXString solverTypeName,
const NXString analysisTypeType,
NXOpen::CAE::BaseFemPart::AxisymAbstractionType  abstractionType,
std::vector< NXString > &  description 
)

Finalizes the creation of the fem part file while in managed mode (Teamcenter).

This method should be called immediately after creating. The second call to the method will raise an error.

Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::FemPart::FinalizeCreation that takes CAE::FemCreationOptions as an input argument.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
cadPartthe cad part to be associated with the fem part
createIdealPartidealized part created if true
useBodiesOptionThe option to specify bodies to use from the cad part while creating the fem part
bodiesthe bodies to be used
geometrySyncOptionsgeometry sync options
solverTypeNamethe name of the solver. Refer to NX help for more information
analysisTypeTypethe name of the analysis type. Refer to NX help for more information
abstractionTypethe axisymmetric abstraction type. Refer to NX help for more information
descriptiondescription
void NXOpen::CAE::FemPart::FinalizeCreationManaged ( NXOpen::Part cadPart,
bool  createIdealPart,
NXOpen::CAE::FemPart::UseBodiesOption  useBodiesOption,
const std::vector< NXOpen::Body * > &  bodies,
NXOpen::CAE::FemSynchronizeOptions geometrySyncOptions,
const char *  solverTypeName,
const char *  analysisTypeType,
NXOpen::CAE::BaseFemPart::AxisymAbstractionType  abstractionType,
std::vector< NXString > &  description 
)

Finalizes the creation of the fem part file while in managed mode (Teamcenter).

This method should be called immediately after creating. The second call to the method will raise an error.

Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::FemPart::FinalizeCreation that takes CAE::FemCreationOptions as an input argument.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
cadPartthe cad part to be associated with the fem part
createIdealPartidealized part created if true
useBodiesOptionThe option to specify bodies to use from the cad part while creating the fem part
bodiesthe bodies to be used
geometrySyncOptionsgeometry sync options
solverTypeNamethe name of the solver. Refer to NX help for more information
analysisTypeTypethe name of the analysis type. Refer to NX help for more information
abstractionTypethe axisymmetric abstraction type. Refer to NX help for more information
descriptiondescription
void NXOpen::CAE::FemPart::GetGeometryData ( NXOpen::CAE::FemPart::UseBodiesOption useBodiesOption,
std::vector< NXOpen::Body * > &  listOfBodies,
NXOpen::CAE::FemSynchronizeOptions **  psyncData 
)

Gets geometry data associated with the fem part.


Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
useBodiesOptionFlag if all were selected
listOfBodiesArray of tags of selected bodies
psyncDataSyncrhonize options object
void NXOpen::CAE::FemPart::GetMeshPreferences ( NXOpen::NXColor **  tinyEdgeColor,
double *  snapTolerance,
int *  projectNodesToCadOption,
double *  projectionTolerance,
int *  refineTessellation 
)

Returns the mesh preferences data associated with the fem part.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
tinyEdgeColorTiny edge color
snapToleranceSnap Tolerance
projectNodesToCadOptionProject nodes to CAD
projectionToleranceProjection tolerance
refineTessellationRefine tessellation 0 or 1
NXOpen::Part* NXOpen::CAE::FemPart::IdealizedPart ( )

Returns the idealized part associated with the fem part.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::Part* NXOpen::CAE::FemPart::MasterCadPart ( )

Returns the master cad part associated with the fem part.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::MeshPointCollection* NXOpen::CAE::FemPart::MeshPoints ( )

Returns the meshpoint collector collection belonging to the part
Created in NX3.0.0.


NXOpen::CAE::FemCreationOptions* NXOpen::CAE::FemPart::NewFemCreationOptions ( )

Creates a NXOpen::CAE::FemCreationOptions .

Returns
the creation options object created
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::FemSynchronizeOptions* NXOpen::CAE::FemPart::NewFemSynchronizeOptions ( )

Creates a NXOpen::CAE::FemSynchronizeOptions .

Returns
the syncrhonize options object created
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::FemPart::PolygonBodyDelete ( NXOpen::CAE::CAEBody body)

DELETE on polygon body.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
bodybody
NXOpen::CAE::PolygonGeometryManager* NXOpen::CAE::FemPart::PolygonGeometryMgr ( )

Returns the geometry recipe collection belonging to this fem part
Created in NX10.0.0.


void NXOpen::CAE::FemPart::SetAssociatedCadAsWork ( NXOpen::Part cadPart)

Sets the cad part associated with the fem as work.

This method expects the fem to be current displayed part.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
cadPartCAD part associated to the fem part
void NXOpen::CAE::FemPart::SetFemAsWork ( )

Sets the fem as work, if associated cad is the current work.

This method expects the fem to be current displayed part.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling")

void NXOpen::CAE::FemPart::SetGeometryData ( NXOpen::CAE::FemPart::UseBodiesOption  useBodiesOption,
const std::vector< NXOpen::Body * > &  listOfBodies,
NXOpen::CAE::FemSynchronizeOptions psyncData 
)

Sets the geometry data associated with the fem part.


Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
useBodiesOptionFlag if all were selected
listOfBodiesArray of tags of selected bodies
psyncDataSyncrhonize options object
void NXOpen::CAE::FemPart::SetMeshPreferences ( NXOpen::NXColor tinyEdgeColor,
double  snapTolerance,
int  projectNodesToCadOption,
double  projectionTolerance,
int  refineTessellation 
)

Sets the mesh preferences data associated with the fem part.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
tinyEdgeColorTiny edge color
snapToleranceSnap Tolerance
projectNodesToCadOptionProject nodes to CAD
projectionToleranceProjection tolerance
refineTessellationRefine tessellation 0 or 1

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.